## libcoverart 1.0.0%2Bgit20140109

=== src/CMakeLists.txt ===
SET(CMAKE_INCLUDE_CURRENT_DIR ON)
INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_SOURCE_DIR}/..
	${CMAKE_CURRENT_SOURCE_DIR}/../include
	${CMAKE_CURRENT_BINARY_DIR}/../include
	${NEON_INCLUDE_DIR}
	${JANSSON_INCLUDE_DIR}
	${LIBXML2_INCLUDE_DIR}
)

SET(_sources HTTPFetch.cc CoverArt.cc ReleaseInfo.cc ImageList.cc Image.cc
	Thumbnails.cc TypeList.cc caa_c.cc Type.cc)

# when crosscompiling import the executable targets from a file
IF(CMAKE_CROSSCOMPILING)
  SET(IMPORT_EXECUTABLES "IMPORTFILE-NOTFOUND" CACHE FILEPATH "Point it to the export file from a native build")
  INCLUDE(${IMPORT_EXECUTABLES})
ENDIF(CMAKE_CROSSCOMPILING)

# only build the generator if not crosscompiling
IF(NOT CMAKE_CROSSCOMPILING)
	ADD_EXECUTABLE(make-c-interface make-c-interface.cc xmlParser.cc)
	TARGET_LINK_LIBRARIES(make-c-interface ${LIBXML2_LIBRARIES})
ENDIF(NOT CMAKE_CROSSCOMPILING)

# export the generator target to a file, so it can be imported (see above) by another build
# the IF() is not necessary, but makes the intention clearer
IF(NOT CMAKE_CROSSCOMPILING)
  EXPORT(TARGETS make-c-interface FILE ${CMAKE_BINARY_DIR}/ImportExecutables.cmake )
ENDIF(NOT CMAKE_CROSSCOMPILING)

ADD_CUSTOM_COMMAND(
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/caa_c.cc ${CMAKE_CURRENT_BINARY_DIR}/caa_c.h ${CMAKE_CURRENT_BINARY_DIR}/../include/coverart/caa_c.h
	COMMAND make-c-interface ${CMAKE_CURRENT_SOURCE_DIR} cinterface.xml ${CMAKE_CURRENT_BINARY_DIR} caa_c.cc caa_c.h
	COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_BINARY_DIR}/caa_c.h ${CMAKE_CURRENT_BINARY_DIR}/../include/coverart/caa_c.h
	DEPENDS make-c-interface cinterface.xml *.inc
)

ADD_CUSTOM_TARGET(src_gen DEPENDS caa_c.h)

ADD_LIBRARY(coverart SHARED ${_sources})

SET_TARGET_PROPERTIES(coverart PROPERTIES
    VERSION ${coverart_VERSION}
    SOVERSION ${coverart_SOVERSION}
    DEFINE_SYMBOL MB_API_EXPORTS
)

if(CMAKE_BUILD_TYPE STREQUAL Debug)
	SET_TARGET_PROPERTIES(coverart PROPERTIES
		DEFINE_SYMBOL _COVERART_DEBUG_
	)
	IF(CMAKE_COMPILER_IS_GNUCXX)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -ggdb -O0")
	ENDIF(CMAKE_COMPILER_IS_GNUCXX)
endif(CMAKE_BUILD_TYPE STREQUAL Debug)

TARGET_LINK_LIBRARIES(coverart ${NEON_LIBRARIES} ${JANSSON_LIBRARIES})

IF(WIN32)
    TARGET_LINK_LIBRARIES(coverart wsock32 winmm ws2_32)
ENDIF(WIN32)

IF(CMAKE_COMPILER_IS_GNUCXX)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -Wextra -pedantic-errors")
		set_source_files_properties(mb4_c.cc PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
		set_source_files_properties(ReleaseInfo.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
		set_source_files_properties(ImageList.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
		set_source_files_properties(Image.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
		set_source_files_properties(Thumbnails.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
		set_source_files_properties(TypeList.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
		set_source_files_properties(CoverArt.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
		set_source_files_properties(caa_c.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

INSTALL(TARGETS coverart DESTINATION ${LIB_INSTALL_DIR})

## libcoverart 1.0.0%2Bgit20150706

=== debian/changelog ===
libcoverart (1.0.0+git20150706-8build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:05:46 +0100

libcoverart (1.0.0+git20150706-8) unstable; urgency=medium

  * debian/patches: Fix build errors with GCC 8. (Closes: #897786)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 May 2018 21:19:38 +0200

libcoverart (1.0.0+git20150706-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/: Bump debhelper compat to 11.
  * debian/rules:
    - Remove old dh_strip override.
    - Do not remove jquery.js.
  * debian/control:
    - Drop obsolete Pre-Depends.
    - Mark libcovert-doc as M-A: foreign.
    - Bump Standards-Version.
  * debian/libcovertart-doc.examples: Fix path.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Apr 2018 18:18:03 +0200

libcoverart (1.0.0+git20150706-6) unstable; urgency=medium

  * Migrate to automatic debug packages.
    - debian/control:
      + Bump B-D on debhelper to (>= 9.20151219).
      + Remove libcoverart-dbg.
    - debian/rules: Run dh_strip with --ddeb-migration.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Dec 2015 21:17:19 +0100

libcoverart (1.0.0+git20150706-5) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Bump B-D on g++ to (>= 4:5.2).

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Aug 2015 20:41:56 +0200

libcoverart (1.0.0+git20150706-4) experimental; urgency=medium

  * debian/control: Make sure to that g++ is new enough to build with the new
    ABI.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Jul 2015 20:46:14 +0200

libcoverart (1.0.0+git20150706-3) experimental; urgency=medium

  * Bump libcovertcc SONAME for g++ 5 transition. (Closes: #791110)
    - debian/control:
      - Rename package libcoverartcc1 to libcovertcc1v5.
      - B-D on g++ (>= 4:5).
    - debian/patches/gcc-5.patch: Change SONAME to libcovertcc1v5.
  * debian/patches/remove-unused-code.patch: Refreshed.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 08 Jul 2015 20:03:56 +0200

libcoverart (1.0.0+git20150706-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 08 Jul 2015 19:41:51 +0200

libcoverart (1.0.0+git20150706-1) experimental; urgency=medium

  * New upstream snapshot.
  * Split C wrapper functions from the C++ implementation. This helps with the
    GCC 5 transition since no reverse dependency is using the exposed C++
    symbols directly.
    - Add libcoverartcc1 package.
    - Renamed libcoverart0 to libcoverart1 due to SONAME bump.
  * debian/rules:
    - Use out of tree build.
    - Remove dh_makeshlibs override.
  * debian/control:
    - Bump Standards-Version to 3.9.6.
    - Add graphviz to B-D-I.
  * debian/patches:
    - PATH_MAX.patch: Removed, applied upstream.
    - out-of-tree.patch: Fix install target for out of tree builds.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Jul 2015 21:41:52 +0200

libcoverart (1.0.0+git20140109-2) unstable; urgency=medium

  * debian/patches/PATH_MAX.patch: Replace the use of PATH_MAX with dynamic
    memory allocation to fix the build failure on hurd-i386.
  * debian/watch: Mangle Debian version.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 15 Jan 2014 03:19:15 +0100

libcoverart (1.0.0+git20140109-1) unstable; urgency=low

  * Initial release (Closes: #714853).

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 10 Jan 2014 02:45:09 +0100

=== debian/control ===
Source: libcoverart
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 11),
 cmake,
 libneon27-gnutls-dev | libneon-dev,
 libjansson-dev,
 g++ (>= 4:5.2)
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 4.1.4
Homepage: http://musicbrainz.org/doc/libcoverart
Vcs-Git: https://salsa.debian.org/multimedia-team/libcoverart.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libcoverart

Package: libcoverart-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libcoverart1 (= ${binary:Version}),
 libcoverartcc1v5 (= ${binary:Version}),
 libneon27-gnutls-dev | libneon-dev,
 libjansson-dev
Suggests:
 libcoverart-doc
Multi-Arch: same
Description: library to access the Cover Art Archive (development files)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the development files.

Package: libcoverart1
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: library to access the Cover Art Archive (C wrapper functions)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the shared library for the C wrapper functions.

Package: libcoverartcc1v5
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: library to access the Cover Art Archive
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the shared library.

Package: libcoverart-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: library to access the Cover Art Archive (developer documentation)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the developer documentation.

## libcoverart 1.0.0+git20140109

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT(libcoverart)
SET(PROJECT_VERSION 1.0.0)

# 1. If the library source code has changed at all since the last update, then increment revision.
# 2. If any interfaces have been added, removed, or changed since the last update, increment current, and set revision to 0.
# 3. If any interfaces have been added since the last public release, then increment age.
# 4. If any interfaces have been removed since the last public release, then set age to 0.
SET(coverart_SOVERSION_CURRENT  0)
SET(coverart_SOVERSION_REVISION 1)
SET(coverart_SOVERSION_AGE      0)

MATH(EXPR coverart_SOVERSION_MAJOR "${coverart_SOVERSION_CURRENT} - ${coverart_SOVERSION_AGE}")
MATH(EXPR coverart_SOVERSION_MINOR "${coverart_SOVERSION_AGE}")
MATH(EXPR coverart_SOVERSION_PATCH "${coverart_SOVERSION_REVISION}")

SET(coverart_VERSION ${coverart_SOVERSION_MAJOR}.${coverart_SOVERSION_MINOR}.${coverart_SOVERSION_PATCH})
SET(coverart_SOVERSION ${coverart_SOVERSION_MAJOR})

SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
FIND_PACKAGE(Neon REQUIRED)
FIND_PACKAGE(Jansson REQUIRED)
IF(NOT CMAKE_CROSSCOMPILING)
	FIND_PACKAGE(LibXml2 REQUIRED)
ENDIF(NOT CMAKE_CROSSCOMPILING)

SET(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
SET(EXEC_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Installation prefix for executables and object code libraries" FORCE)
SET(BIN_INSTALL_DIR ${EXEC_INSTALL_PREFIX}/bin CACHE PATH "Installation prefix for user executables" FORCE)
SET(LIB_INSTALL_DIR ${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX} CACHE PATH  "Installation prefix for object code libraries" FORCE)
SET(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include CACHE PATH "Installation prefix for C header files" FORCE)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libcoverart.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libcoverart.pc)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_SOURCE_DIR}/config.h)

FILE(GLOB headers ${CMAKE_CURRENT_SOURCE_DIR}/include/coverart/*.h)
INSTALL(FILES ${headers} include/coverart/caa_c.h DESTINATION ${INCLUDE_INSTALL_DIR}/coverart)
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libcoverart.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(tests)
ADD_SUBDIRECTORY(examples)

ADD_CUSTOM_TARGET(docs
	doxygen
)

ADD_DEPENDENCIES(docs src_gen)

ADD_CUSTOM_TARGET(dist
    COMMAND git archive --prefix="libcoverart-${PROJECT_VERSION}/" release-${PROJECT_VERSION} | gzip -9 > libcoverart-${PROJECT_VERSION}.tar.gz
)

=== examples/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_SOURCE_DIR}/..
	${CMAKE_CURRENT_SOURCE_DIR}/../include
	${CMAKE_CURRENT_BINARY_DIR}/../include
	${NEON_INCLUDE_DIR}
	${JANSSON_INCLUDE_DIR}
)
LINK_LIBRARIES(coverart ${NEON_LIBRARIES} ${JANSSON_LIBRARIES})
ADD_EXECUTABLE(example example.cc)
ADD_EXECUTABLE(example_c example_c.c)

IF(CMAKE_COMPILER_IS_GNUCXX)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -Wextra -pedantic-errors")
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

IF(CMAKE_COMPILER_IS_GNUCC)
		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror -Wextra -pedantic-errors")
		set_source_files_properties(example.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

=== tests/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_SOURCE_DIR}/../include
	${CMAKE_CURRENT_BINARY_DIR}/../include
)
LINK_LIBRARIES(coverart ${NEON_LIBRARIES})
ADD_EXECUTABLE(test test.cc)
ADD_EXECUTABLE(ctest ctest.c)

IF(CMAKE_COMPILER_IS_GNUCXX)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -Wextra -pedantic-errors")
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

IF(CMAKE_COMPILER_IS_GNUCC)
		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror -Wextra -pedantic-errors")
#		set_source_files_properties(ctest.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
		set_source_files_properties(test.cc PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

=== debian/control ===
Source: libcoverart
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 cmake,
 libneon27-gnutls-dev| libneon-dev,
 libjansson-dev
Build-Depends-Indep:
 doxygen
Standards-Version: 3.9.5
Homepage: http://musicbrainz.org/doc/libcoverart
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libcoverart.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libcoverat.git

Package: libcoverart-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libcoverart0 (= ${binary:Version}),
 libneon27-gnutls-dev | libneon-dev,
 libjansson-dev
Suggests:
 libcoverart-doc
Multi-Arch: same
Description: library to access the Cover Art Archive (development files)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the development files.

Package: libcoverart0
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 libcoverart-dbg
Multi-Arch: same
Description: library to access the Cover Art Archive
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the shared library.

Package: libcoverart-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 libcoverart0 (= ${binary:Version})
Multi-Arch: same
Description: library to access the Cover Art Archive (debugging symbols)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the debugging symbols for the shared library.

Package: libcoverart-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 libjs-jquery
Description: library to access the Cover Art Archive (developer documentation)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the developer documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --parallel --builddirectory=$(CURDIR)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs
	# This needs to be fixed in upstream's build system.
	rm -f CMakeCache.txt \
		Doxyfile \
		Makefile \
		config.h \
		install_manifest.txt \
		libcoverart.pc \
		ImportExecutables.cmake
	find -name CMakeFiles -print | xargs /bin/rm -rf
	find -name Makefile -delete
	find -name cmake_install.cmake -delete

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX=/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_build-indep:
	$(MAKE) docs
	rm docs/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js docs/jquery.js

override_dh_auto_test-indep override_dh_auto_install-indep:
	# no tests and install for indep

override_dh_strip:
	dh_strip --dbg-package=libcoverart-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V 'libcoverart0 (>= 1.0)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS.txt

DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VER=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \
	| sed -ne 's/^Version: \(.*\)-[^-]*/\1/p' | sed -ne 's/^\([^+]*\)+git.*/\1/p')
COMMIT=39dd2c520b6c225b3c3186553bfe89f37f403a41
get-orig-source:
	TMPD=`mktemp -d` && \
		git clone https://github.com/metabrainz/libcoverart \
			"$$TMPD/libcoverart" && \
		git --git-dir="$$TMPD/libcoverart/.git" archive \
			--prefix=libcoverart/ $(COMMIT) | \
			xz > $$TMPD/libcoverart.tar.xz && \
		CDATE=`git --git-dir="$$TMPD/libcoverart/.git" show \
			--format=format:%ci -s $(COMMIT) | \
			awk '{ gsub(/-/,""); print $$1 }'` && \
		mv $$TMPD/libcoverart.tar.xz \
			libcoverart_$(DEB_UPSTREAM_VER)+git$$CDATE.orig.tar.xz && \
		rm -rf $$TMPD

## libcoverart 1.0.0+git20150706

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 # 2. If any interfaces have been added, removed, or changed since the last update, increment current, and set revision to 0.
 # 3. If any interfaces have been added since the last public release, then increment age.
 # 4. If any interfaces have been removed since the last public release, then set age to 0.
-SET(coverart_SOVERSION_CURRENT  0)
-SET(coverart_SOVERSION_REVISION 1)
+SET(coverart_SOVERSION_CURRENT  1)
+SET(coverart_SOVERSION_REVISION 0)
 SET(coverart_SOVERSION_AGE      0)
 
 MATH(EXPR coverart_SOVERSION_MAJOR "${coverart_SOVERSION_CURRENT} - ${coverart_SOVERSION_AGE}")
@@ -17,6 +17,17 @@
 
 SET(coverart_VERSION ${coverart_SOVERSION_MAJOR}.${coverart_SOVERSION_MINOR}.${coverart_SOVERSION_PATCH})
 SET(coverart_SOVERSION ${coverart_SOVERSION_MAJOR})
+
+SET(coverartc_SOVERSION_CURRENT  1)
+SET(coverartc_SOVERSION_REVISION 0)
+SET(coverartc_SOVERSION_AGE      0)
+
+MATH(EXPR coverartc_SOVERSION_MAJOR "${coverartc_SOVERSION_CURRENT} - ${coverartc_SOVERSION_AGE}")
+MATH(EXPR coverartc_SOVERSION_MINOR "${coverartc_SOVERSION_AGE}")
+MATH(EXPR coverartc_SOVERSION_PATCH "${coverartc_SOVERSION_REVISION}")
+
+SET(coverartc_VERSION ${coverartc_SOVERSION_MAJOR}.${coverartc_SOVERSION_MINOR}.${coverartc_SOVERSION_PATCH})
+SET(coverartc_SOVERSION ${coverartc_SOVERSION_MAJOR})
 
 SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 FIND_PACKAGE(Neon REQUIRED)
@@ -31,13 +42,14 @@
 SET(LIB_INSTALL_DIR ${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX} CACHE PATH  "Installation prefix for object code libraries" FORCE)
 SET(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include CACHE PATH "Installation prefix for C header files" FORCE)
 
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libcoverartcc.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libcoverartcc.pc)
 CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libcoverart.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libcoverart.pc)
-CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile)
-CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 FILE(GLOB headers ${CMAKE_CURRENT_SOURCE_DIR}/include/coverart/*.h)
 INSTALL(FILES ${headers} include/coverart/caa_c.h DESTINATION ${INCLUDE_INSTALL_DIR}/coverart)
-INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libcoverart.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
+INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libcoverartcc.pc ${CMAKE_CURRENT_BINARY_DIR}/libcoverart.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
 
 ADD_SUBDIRECTORY(src)
 ADD_SUBDIRECTORY(tests)
@@ -50,5 +62,5 @@
 ADD_DEPENDENCIES(docs src_gen)
 
 ADD_CUSTOM_TARGET(dist
-    COMMAND git archive --prefix="libcoverart-${PROJECT_VERSION}/" release-${PROJECT_VERSION} | gzip -9 > libcoverart-${PROJECT_VERSION}.tar.gz
+    COMMAND git archive --prefix="libcoverart-${PROJECT_VERSION}/" master | gzip -9 > libcoverart-${PROJECT_VERSION}.tar.gz
 )

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,12 @@
 	${NEON_INCLUDE_DIR}
 	${JANSSON_INCLUDE_DIR}
 )
-LINK_LIBRARIES(coverart ${NEON_LIBRARIES} ${JANSSON_LIBRARIES})
+
 ADD_EXECUTABLE(example example.cc)
 ADD_EXECUTABLE(example_c example_c.c)
+
+TARGET_LINK_LIBRARIES(example coverartcc ${NEON_LIBRARIES})
+TARGET_LINK_LIBRARIES(example_c coverart ${NEON_LIBRARIES})
 
 IF(CMAKE_COMPILER_IS_GNUCXX)
 		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -Wextra -pedantic-errors")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,16 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/..
 	${CMAKE_CURRENT_SOURCE_DIR}/../include
 	${CMAKE_CURRENT_BINARY_DIR}/../include
+	${CMAKE_CURRENT_BINARY_DIR}/..
 	${NEON_INCLUDE_DIR}
 	${JANSSON_INCLUDE_DIR}
 	${LIBXML2_INCLUDE_DIR}
 )
 
-SET(_sources HTTPFetch.cc CoverArt.cc ReleaseInfo.cc ImageList.cc Image.cc
-	Thumbnails.cc TypeList.cc caa_c.cc Type.cc)
+SET(_sourcescc HTTPFetch.cc CoverArt.cc ReleaseInfo.cc ImageList.cc Image.cc
+	Thumbnails.cc TypeList.cc Type.cc)
+
+SET(_sourcesc caa_c.cc)
 
 # when crosscompiling import the executable targets from a file
 IF(CMAKE_CROSSCOMPILING)
@@ -38,16 +41,23 @@
 
 ADD_CUSTOM_TARGET(src_gen DEPENDS caa_c.h)
 
-ADD_LIBRARY(coverart SHARED ${_sources})
+ADD_LIBRARY(coverartcc SHARED ${_sourcescc})
+ADD_LIBRARY(coverart SHARED ${_sourcesc})
 
-SET_TARGET_PROPERTIES(coverart PROPERTIES
+SET_TARGET_PROPERTIES(coverartcc PROPERTIES
     VERSION ${coverart_VERSION}
     SOVERSION ${coverart_SOVERSION}
     DEFINE_SYMBOL MB_API_EXPORTS
 )
 
+SET_TARGET_PROPERTIES(coverart PROPERTIES
+    VERSION ${coverartc_VERSION}
+    SOVERSION ${coverartc_SOVERSION}
+    DEFINE_SYMBOL MB_API_EXPORTS
+)
+
 if(CMAKE_BUILD_TYPE STREQUAL Debug)
-	SET_TARGET_PROPERTIES(coverart PROPERTIES
+	SET_TARGET_PROPERTIES(coverartcc PROPERTIES
 		DEFINE_SYMBOL _COVERART_DEBUG_
 	)
 	IF(CMAKE_COMPILER_IS_GNUCXX)
@@ -55,15 +65,16 @@
 	ENDIF(CMAKE_COMPILER_IS_GNUCXX)
 endif(CMAKE_BUILD_TYPE STREQUAL Debug)
 
-TARGET_LINK_LIBRARIES(coverart ${NEON_LIBRARIES} ${JANSSON_LIBRARIES})
+TARGET_LINK_LIBRARIES(coverartcc ${NEON_LIBRARIES} ${JANSSON_LIBRARIES})
+TARGET_LINK_LIBRARIES(coverart coverartcc)
 
 IF(WIN32)
-    TARGET_LINK_LIBRARIES(coverart wsock32 winmm ws2_32)
+    TARGET_LINK_LIBRARIES(coverartcc wsock32 winmm ws2_32)
 ENDIF(WIN32)
 
 IF(CMAKE_COMPILER_IS_GNUCXX)
 		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -Wextra -pedantic-errors")
-		set_source_files_properties(mb4_c.cc PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
+		set_source_files_properties(ca_c.cc PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
 		set_source_files_properties(ReleaseInfo.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
 		set_source_files_properties(ImageList.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
 		set_source_files_properties(Image.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
@@ -73,4 +84,5 @@
 		set_source_files_properties(caa_c.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
 ENDIF(CMAKE_COMPILER_IS_GNUCXX)
 
+INSTALL(TARGETS coverartcc DESTINATION ${LIB_INSTALL_DIR})
 INSTALL(TARGETS coverart DESTINATION ${LIB_INSTALL_DIR})

=== debian/changelog ===
libcoverart (1.0.0+git20150706-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump debhelper compat to 13
    - Set Rules-Requires-Root: no
    - Drop obsolete B-D on g++
  * debian/patches: Fix build with cmake 3.18.2 (Closes: #971210)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 Sep 2020 21:27:04 +0200

=== debian/control ===
Source: libcoverart
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libneon27-gnutls-dev | libneon-dev,
 libjansson-dev
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 4.5.0
Homepage: https://musicbrainz.org/doc/libcoverart
Vcs-Git: https://salsa.debian.org/multimedia-team/libcoverart.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libcoverart
Rules-Requires-Root: no

Package: libcoverart-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libcoverart1 (= ${binary:Version}),
 libcoverartcc1v5 (= ${binary:Version}),
 libneon27-gnutls-dev | libneon-dev,
 libjansson-dev
Suggests:
 libcoverart-doc
Multi-Arch: same
Description: library to access the Cover Art Archive (development files)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the development files.

Package: libcoverart1
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: library to access the Cover Art Archive (C wrapper functions)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the shared library for the C wrapper functions.

Package: libcoverartcc1v5
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: library to access the Cover Art Archive
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the shared library.

Package: libcoverart-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: library to access the Cover Art Archive (developer documentation)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the developer documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_build-indep:
	dh_auto_build -- docs
	find obj-*/docs -name *.md5 -delete

override_dh_auto_test-indep override_dh_auto_install-indep:
	# no tests and install for indep

override_dh_installchangelogs:
	dh_installchangelogs NEWS.txt

DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VER=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \
	| sed -ne 's/^Version: \(.*\)-[^-]*/\1/p' | sed -ne 's/^\([^+]*\)+git.*/\1/p')
COMMIT=3e8e68e971f632dd85788e738d3e5a3bd3d08b07
get-orig-source:
	TMPD=`mktemp -d` && \
		git clone https://github.com/metabrainz/libcoverart \
			"$$TMPD/libcoverart" && \
		git --git-dir="$$TMPD/libcoverart/.git" archive \
			--prefix=libcoverart/ $(COMMIT) | \
			xz > $$TMPD/libcoverart.tar.xz && \
		CDATE=`git --git-dir="$$TMPD/libcoverart/.git" show \
			--format=format:%ci -s $(COMMIT) | \
			awk '{ gsub(/-/,""); print $$1 }'` && \
		mv $$TMPD/libcoverart.tar.xz \
			libcoverart_$(DEB_UPSTREAM_VER)+git$$CDATE.orig.tar.xz && \
		rm -rf $$TMPD

=== debian/watch ===
version=3
opts=dversionmangle=s/\+git\d+$// \
  https://musicbrainz.org/doc/libcoverart .*/libcoverart-(.*)\.tar\.gz
